slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPConvergedReason

Reason an eigensolver was said to have converged or diverged

### Synopsis

    typedef enum {/* converged */
                  PEP_CONVERGED_TOL                =  1,
                  PEP_CONVERGED_USER               =  2,
                  /* diverged */
                  PEP_DIVERGED_ITS                 = -1,
                  PEP_DIVERGED_BREAKDOWN           = -2,
                  PEP_DIVERGED_SYMMETRY_LOST       = -3,
                  PEP_CONVERGED_ITERATING          =  0} PEPConvergedReason;

### See Also

PEPSolve(), PEPGetConvergedReason(), PEPSetTolerances()

### Level

intermediate

### Location

include/slepcpep.h
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages